C
C IBMPC VERSION
C
C   RETURNS NUMBER OF SECONDS-SUBTRT,
C   PROVIDING ELASPED TIME.
      REAL FUNCTION SECNDS(SUBTRT)
      REAL SUBTRT
      INTEGER*2 YY1,MM1,DD1,YY2,MM2,DD2
      INTEGER*2 HR,MIN,SECS,HUNSEC
      SAVE YY1,MM1,DD1
      INTEGER Y,M,C,YA,DATE1,DATE2
      DATA YY1/0/
      IF (YY1.EQ.0) CALL GETDAT(YY1,MM1,DD1)
      HR=0
      MIN=0
      SECS=0
      HUNSEC=0
      CALL GETTIM(HR,MIN,SECS,HUNSEC)
      SECNDS=REAL(((HR*60)+MIN)*60+SECS)+REAL(HUNSEC)*0.01-SUBTRT
      CALL GETDAT(YY2,MM2,DD2)
      IF (YY1.NE.YY2 .OR. MM1.NE.MM2 .OR. DD1.NE.DD2) THEN
C        CALCULATE JULIAN DATE FOR FIRST DATE
         IF (MM1.LE.2) THEN
            M=MM1+9
            Y=1900+YY1-1
         ELSE
            M=MM1-3
            Y=1900+YY1
         ENDIF
         C=Y/100
         YA=Y-100*C
         DATE1=(146097*C)/4+(1461*YA)/4+(153*M+2)/5+DD1-578041
C        CALCULATE JULIAN DATE FOR SECOND DATE
         IF (MM2.LE.2) THEN
            M=MM2+9
            Y=1900+YY2-1
         ELSE
            M=MM2-3
            Y=1900+YY2
         ENDIF
         C=Y/100
         YA=Y-100*C
         DATE2=(146097*C)/4+(1461*YA)/4+(153*M+2)/5+DD2-578041
C        TAKE DIFFERENCE IN DAYS OF 2 DATES TIMES NUMBER SECONDS/DAY
         SECNDS=SECNDS+REAL((DATE2-DATE1)*86400)
      ENDIF
      RETURN
      END
